Bug 432470 - can not use & characters in sample configurations
can not use & characters in sample configurations
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Murray McAllister
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 02:48 EST by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 21:04:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2008-02-12 02:48:54 EST
Description of problem:
I need to use a "&" character in a configuration file (not &). I can't get
this to parse correctly. I have tried:

* <screen><![CDATA[
* <programlisting>
* <literal>
* &amp;amp;

I would have thought the later worked. I got around this using "&amp;amp&semi;".
Not sure if this is correct...
Comment 1 Jeff Fearn 2008-02-14 21:04:53 EST
We do not support CDATA.

If you want to display xml content in your output, you need to:

mkdir en-US/extras
vi en-US/extras/foo.txt
<put your xml in foo.txt>

xi:include the txt file in to you xml file, in this case inside the screen tag:

<screen>
<xi:include parse="text" href="extras/foo.txt"
xmlns:xi="http://www.w3.org/2001/XInclude" />
</screen>

Cheers, Jeff.

Note You need to log in before you can comment on or make changes to this bug.